> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 애널리스트 인사이트

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "analyst-insights": [
      {
        "action": "Upgrades",
        "analyst_id": "669ea49c3f2d7e0001303664",
        "analyst_insights": "BWS Financial이 Innodata 주식을 Top Pick으로 상향 조정하고 목표가를 $110.00로 제시했습니다.  \n\n **견조한 재무 실적과 성장 전망**: Innodata는 최근 실적 발표에서 6,800만 달러 규모의 사전 학습(pretraining) 계약을 발표하며, 의미 있는 재무 성장과 잠재력을 보여주었습니다. 이는 회사가 대형 계약을 확보할 수 있는 역량과, 빠르게 변화하는 AI 환경에서의 강한 포지셔닝을 반영하며, 향후 매출 성장과 투자자 신뢰를 더욱 견인할 가능성이 높습니다.\n\n**전략적 정부 계약 수주**: 2025년 4분기에 시작되는 정부 계약을 확보하면서, Innodata는 2026년까지 새로운 사업 영역으로의 대규모 확장 기회를 확보했습니다. 이 움직임은 연말에 회사 매출에 상당한 기여를 할 것으로 예상되며, 전략적 성장 이니셔티브를 보여주고 기업 가치를 제고하는 데 도움이 됩니다.",
        "date": "2026-01-05",
        "firm": "BWS Financial",
        "firm_id": "57f832d56b87f600016fa43f",
        "id": "695bdd0f7bad4dcabd14a073",
        "pt": "110.00",
        "rating": "Top Pick",
        "rating_id": "695bd5818f047b0001feddd2",
        "security": {
          "cik": "903651",
          "exchange": "NASDAQ",
          "isin": "US4576422053",
          "name": "Innodata",
          "symbol": "INOD"
        },
        "updated": 1767628056
      },
      {
        "action": "Maintains",
        "analyst_id": "669ea49c3f2d7e0001303664",
        "analyst_insights": "BWS Financial이 Innodata 주식에 대해 Buy 등급을 유지하고 목표가를 $110.00로 제시했습니다.  \n\n **강한 매출 성장 잠재력**: Innodata는 6,800만 달러 규모의 사전 학습(pretraining) 계약을 확보하며, AI 데이터 준비 및 엔지니어링 서비스에 대한 상당한 수요를 입증했습니다. 이러한 성장은 회사가 대형 계약을 유치할 수 있는 역량을 명확히 보여주며, 매출 전망과 운영 역량에 대한 투자자 신뢰를 강화하는 요소입니다.\n\n**전략적 정부 계약**: 회사는 2025년 4분기에 정부 계약을 기반으로 진입하여, 2026년에 확대된 비즈니스 기회를 확보할 수 있는 위치에 있습니다. 이 전략적 움직임은 Innodata의 매출원을 다각화할 뿐 아니라, 연말에 더 큰 재무적 이익을 위한 기반을 마련하며, 시장 점유율 확대와 수익성 개선 가능성을 보여줍니다.",
        "date": "2026-01-05",
        "firm": "BWS Financial",
        "firm_id": "57f832d56b87f600016fa43f",
        "id": "695bd5cf7bad4dcabd14a070",
        "pt": "110.00",
        "rating": "Buy",
        "rating_id": "695bd5818f047b0001feddd2",
        "security": {
          "cik": "903651",
          "exchange": "NASDAQ",
          "isin": "US4576422053",
          "name": "Innodata",
          "symbol": "INOD"
        },
        "updated": 1767626200
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "인증 토큰이 없거나 올바르지 않습니다"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "지정된 매개변수에 대한 데이터를 찾을 수 없습니다"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "요청을 처리하는 중 예기치 못한 오류가 발생했습니다"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ko/openapi/calendar-api.spec.yml GET /api/v1/analyst/insights
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/analyst/insights:
    get:
      tags:
        - Analyst Insights
      summary: رؤى المحلّلين V1
      description: >-
        يُرجِع تحليلات ورؤى بحثية حول الأوراق المالية، بما في ذلك تحليلات
        تفصيلية وتوصيات صادرة عن محللين ماليين
      operationId: get-analyst-insights-v1
      parameters:
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تكون إزاحات الصفحات محصورة بين 0 و 100000. قيِّد نتائج الاستعلام
            باستخدام معاملات أخرى مثل التاريخ. القيمة الافتراضية هي 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُعادة. الحد الأقصى 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: >-
            تاريخ الاستعلام عن بيانات calendar. يُستخدم كاختصار لـ date_from و
            date_to إذا كانتا متطابقتين. القيمة الافتراضية هي الأحدث
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: تاريخ البدء بتنسيق YYYY-MM-DD
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: تاريخ الانتهاء بتنسيق YYYY-MM-DD
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: رمز تداول واحد أو أكثر تفصل بينها فواصل. بحد أقصى 50 من رموز الأسهم
          in: query
          name: symbols
          schema:
            type: string
            format: csv
        - description: محلِّل
          in: query
          name: analyst
          schema:
            type: string
        - description: معرّف التصنيف
          in: query
          name: rating_id
          schema:
            type: string
        - description: نوع مفاتيح البحث
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - firm_id
              - firm
              - analyst_id
              - analyst_name
        - description: مفاتيح البحث
          in: query
          name: search_keys
          schema:
            type: string
        - description: >-
            حقل الفرز، بالتنسيق: field:order (مثال: date:asc). القيمة
            الافتراضية: desc.
          in: query
          name: sort
          schema:
            type: string
            enum:
              - date
        - description: >-
            الطابع الزمني Unix (بتوقيت UTC) لآخر تحديث للسجلات. سيُجبِر هذا
            ترتيب الفرز على أن يكون أكبر من أو يساوي الطابع الزمني المُشار إليه
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: رؤى المحللين
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AnalystInsightsResponse'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.AnalystInsightsResponse:
      description: استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات لرؤى المحللين
      properties:
        analyst-insights:
          items:
            $ref: '#/components/schemas/calendarapi.AnalystInsights'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.AnalystInsights:
      properties:
        action:
          example: Maintains
          type: string
        analyst_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b8
          type: string
        analyst_insights:
          example: Strong fundamentals support higher valuation
          type: string
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        firm:
          example: Goldman Sachs
          type: string
        firm_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b7
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5b6
          type: string
        pt:
          example: '200.00'
          type: string
        rating:
          example: Buy
          type: string
        rating_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b9
          type: string
        security:
          $ref: '#/components/schemas/calendarapi.AnalystInsightsSecurity'
        updated:
          example: 1704819600
          type: integer
      type: object
    calendarapi.AnalystInsightsSecurity:
      properties:
        cik:
          example: '320193'
          type: string
        exchange:
          example: NASDAQ
          type: string
        isin:
          example: US0378331005
          type: string
        name:
          example: Apple Inc.
          type: string
        symbol:
          example: AAPL
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````